Package org.codehaus.groovy.runtime.powerassert

# Class PowerAssertionError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.codehaus.groovy.runtime.powerassert.PowerAssertionError

All Implemented Interfaces:
  `Serializable`

public class PowerAssertionError extends AssertionError
Indicates that a power assertion has failed.

Author:
  Peter Niederwieser
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PowerAssertionError(String msg)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PowerAssertionError

public PowerAssertionError(String msg)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`